Technic News

Support for Forge 1.17+ is here!

Hello!

Support for Forge 1.17+ has been added to the latest version of the launcher (build 745).

This was long overdue, and our apologies for that, there were a few things we had to fix up so we could get this working properly.

Have fun!

Comments

You must be logged in to comment. Click here to register a new account or log in.
1.18.2 please.
Zamiel 1 month ago
Yes, it also supports Forge 1.18.2.
Posted by Pyker 1 month ago | Technic Staff
YAY!!! Been looking forwards to this!!
Goldn 1 month ago
Same!
Posted by JoeyB892 2 weeks ago
Fantastic, thank you!
Pulz 1 month ago
FINALY
JoeyB892 2 weeks ago